#pragma once

#include "CoreMinimal.h"
#include "BhvrBarkResponse.h"
#include "EDBDBarkTargetObject.h"
#include "DBDBarkResponse_VO_PostBase.generated.h"

UCLASS(Blueprintable, Abstract)
class DBDBARK_API UDBDBarkResponse_VO_PostBase : public UBhvrBarkResponse
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EDBDBarkTargetObject PostTarget;

public:
	UDBDBarkResponse_VO_PostBase();
};

FORCEINLINE uint32 GetTypeHash(const UDBDBarkResponse_VO_PostBase) { return 0; }
